## 389-ds-console 1.2.7

=== src/com/netscape/admin/dirserv/cosedit/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/cosedit

#
# programs list
#
source = \
		$(DEST_DIR)/ResEditorCosInfo.class \
		$(DEST_DIR)/ResEditorCosAttributes.class \
		$(DEST_DIR)/ResEditorCosTemplate.class \
		$(DEST_DIR)/ResEditorCosTitlePage.class


package = com/netscape/admin/dirserv/cosedit

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== src/com/netscape/admin/dirserv/panel/replication/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: replication makefile
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/panel/replication
ADMJAVAROOT=$(BUILD_ROOT)/built/java

#
# Don't change the order here, or OSF javac may not be able to
# compile (because of the awful dependencies between the classes)
#
source = \
        $(DEST_DIR)/IAgreementPanel.class\
        $(DEST_DIR)/IReplicationAgreement.class\
        $(DEST_DIR)/IReplicationResourceObject.class\
        $(DEST_DIR)/LDAPUtil.class\
        $(DEST_DIR)/CustomComboBoxModel.class\
        $(DEST_DIR)/CustomComboBox.class\
        $(DEST_DIR)/HostInfoDialog.class\
        $(DEST_DIR)/ReplicationTool.class\
        $(DEST_DIR)/ReplicaPanel.class\
        $(DEST_DIR)/ServerInstance.class\
        $(DEST_DIR)/ProgressStatusDialog.class\
        $(DEST_DIR)/ReplicationAgreement.class\
        $(DEST_DIR)/ORCTask.class\
        $(DEST_DIR)/MMRAgreement.class\
        $(DEST_DIR)/SIRAgreement.class\
        $(DEST_DIR)/AgreementTable.class\
        $(DEST_DIR)/ReplicaConfigTabPanel.class\
        $(DEST_DIR)/ReplicaSettingPanel.class\
        $(DEST_DIR)/LegacyConsumerSettingPanel.class\
        $(DEST_DIR)/LegacySupplierSettingPanel.class\
        $(DEST_DIR)/SupplierSettingPanel.class\
        $(DEST_DIR)/ReplicationSettingPanel.class\
        $(DEST_DIR)/ITabPanel.class\
        $(DEST_DIR)/ReplicationBlankPanel.class\
        $(DEST_DIR)/AgreementWizardInfo.class\
        $(DEST_DIR)/AgreementAttributePanel.class\
        $(DEST_DIR)/AgreementInfoPanel.class\
        $(DEST_DIR)/AgreementDestinationPanel.class\
        $(DEST_DIR)/AgreementPanel.class\
        $(DEST_DIR)/WAgreementPanel.class\
        $(DEST_DIR)/WAgreementAttributePanel.class\
        $(DEST_DIR)/WAgreementDestinationPanel.class\
        $(DEST_DIR)/WAgreementInitPanel.class\
	$(DEST_DIR)/WAgreementSelectionAndInfoPanel.class\
        $(DEST_DIR)/WAgreementSchedulePanel.class\
        $(DEST_DIR)/WAgreementSummaryPanel.class\
        $(DEST_DIR)/ReplicaResourceObject.class\
        $(DEST_DIR)/ReplicationResourceObject.class\
	$(DEST_DIR)/AgreementReader.class\
        $(DEST_DIR)/AgreementResourceObject.class\
        $(DEST_DIR)/AgreementSchedulePanel.class\
        $(DEST_DIR)/AttrCellRenderer.class\
        $(DEST_DIR)/LabelCellRenderer.class\
        $(DEST_DIR)/AgreementWizard.class\
        $(DEST_DIR)/replication.properties

#        $(DEST_DIR)/WAgreementInfoPanel.class\
#        $(DEST_DIR)/WAgreementSelectionPanel.class

all: $(DEST_DIR) $(source)

run: all
	$(JAVA) KFrame

clean:
	rm -f  $(DEST_DIR)/*.class $(DEST_DIR)/*.properties

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm docs/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASS_DIR)$(PATH_SEP)$(CLASSPATH)" -d $(CLASS_DIR) $<

$(DEST_DIR):
	mkdir -p $(DEST_DIR)

$(DEST_DIR)/replication.properties : replication.properties
	cp -p replication.properties $(DEST_DIR)

## 389-ds-console 1.2.6

=== debian/changelog ===
389-ds-console (1.2.6-0ubuntu1) precise; urgency=low

  * Pull from unreleased debian branch.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 15 Mar 2012 19:58:37 +0200

389-ds-console (1.2.6-1) UNRELEASED; urgency=low

  * Initial release (Closes: #664119)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 12 Oct 2011 01:05:43 +0300

=== debian/control ===
Source: 389-ds-console
Section: java
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 default-jdk,
 quilt,
 ant,
 libldap-java,
 libidm-console-framework-java, 
Standards-Version: 3.9.3
Homepage: http://directory.fedoraproject.org
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-console.git
Vcs-Browser: http://git.debian.org/?p=pkg-fedora-ds/389-ds-console.git;a=summary

Package: 389-ds-console
Architecture: all
Depends: ${misc:Depends},
 389-admin,
 openjdk-6-jre | java2-runtime,
Recommends: 389-ds-console-doc
Description: 389 Directory Server Management Console
 A Java based remote management console used for managing 389
 Directory Server.

Package: 389-ds-console-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: 389 Directory Server Management Console -- documentation
 A Java based remote management console used for managing 389
 Directory Server.
 .
 This package includes the html documentation for 389-ds-console.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PKG := 389-ds-console
PKGSHORT := 389-ds
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)-.*$$/\1/ p' | sed -e 's/~.*//')
MOD_MAJOR_VERSION := $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
MOD_MINOR_VERSION := $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
CONSOLELANG := en
BUILT_DIR=$(CURDIR)/build

override_dh_auto_clean:
	rm -rf $(BUILT_DIR)

override_dh_auto_build:
	ant -Dbuilt.dir=$(BUILT_DIR) \
		-Dconsole.location=/usr/share/java \

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/$(PKG)/usr/share/dirsrv/html/java
	install -m 644 $(BUILT_DIR)/package/*.jar \
		$(CURDIR)/debian/$(PKG)/usr/share/dirsrv/html/java

	dh_link usr/share/dirsrv/html/java/$(PKGSHORT)-$(UPSTREAM_VERSION).jar \
		usr/share/dirsrv/html/java/$(PKGSHORT)-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION).jar
	dh_link usr/share/dirsrv/html/java/$(PKGSHORT)-$(UPSTREAM_VERSION).jar \
		usr/share/dirsrv/html/java/$(PKGSHORT).jar
	dh_link usr/share/dirsrv/html/java/$(PKGSHORT)-$(UPSTREAM_VERSION)_$(CONSOLELANG).jar \
		usr/share/dirsrv/html/java/$(PKGSHORT)-$(MOD_MAJOR_VERSION).$(MOD_MINOR_VERSION)_$(CONSOLELANG).jar
	dh_link usr/share/dirsrv/html/java/$(PKGSHORT)-$(UPSTREAM_VERSION)_$(CONSOLELANG).jar \
		usr/share/dirsrv/html/java/$(PKGSHORT)_$(CONSOLELANG).jar

	mkdir -p $(CURDIR)/debian/$(PKG)-doc/usr/share/dirsrv/manual/en/slapd/help
	install -m 644 help/en/*.html $(CURDIR)/debian/$(PKG)-doc/usr/share/dirsrv/manual/en/slapd
	install -m 644 help/en/tokens.map $(CURDIR)/debian/$(PKG)-doc/usr/share/dirsrv/manual/en/slapd
	install -m 644 help/en/help/*.html $(CURDIR)/debian/$(PKG)-doc/usr/share/dirsrv/manual/en/slapd/help

%:
	dh $@ --with quilt

=== debian/watch ===
version=3
http://directory.fedoraproject.org/sources/389-ds-console-(.*)\.tar\.bz2

## 389-ds-console 1.2.7

=== debian/changelog ===
389-ds-console (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * watch: Add a comment about the upstream git tree.
  * control:
    - Drop dependency on java runtime, it's not needed and can be
      harmful. (LP: #1097282)
    - use canonical vcs urls.
    - update my email
    - +compat, bump debhelper to 9.
    - bump policy to 3.9.5, no changes.
  * rules: Use bytecode format 1.5. (LP: #1049672)
  * watch: Update the url.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Aug 2014 13:44:15 +0300

389-ds-console (1.2.6-1) unstable; urgency=low

  * Initial release (Closes: #664119)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 12 Oct 2011 01:05:43 +0300

=== debian/control ===
Source: 389-ds-console
Section: java
Priority: extra
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper (>= 9),
 default-jdk,
 quilt,
 ant,
 libldap-java,
 libidm-console-framework-java, 
Standards-Version: 3.9.5
Homepage: http://directory.fedoraproject.org
Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-console.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-console.git

Package: 389-ds-console
Architecture: all
Depends: ${misc:Depends},
 389-admin,
Recommends: 389-ds-console-doc
Description: 389 Directory Server Management Console
 A Java based remote management console used for managing 389
 Directory Server.

Package: 389-ds-console-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: 389 Directory Server Management Console -- documentation
 A Java based remote management console used for managing 389
 Directory Server.
 .
 This package includes the html documentation for 389-ds-console.

=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds-console.git
version=3
http://port389.org/sources/389-ds-console-(.*)\.tar\.bz2

## 389-ds-console 1.2.12

=== src/com/netscape/admin/dirserv/account/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: account makefile
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/account

#
# programs list
#
source = \
		$(DEST_DIR)/ResEditorUserAccountPage.class \
		$(DEST_DIR)/ResEditorUserTitlePage.class \
		$(DEST_DIR)/ResEditorActivationSubPage.class \
		$(DEST_DIR)/ResEditorLimitSubPage.class \
		$(DEST_DIR)/ActivationModel.class \
		$(DEST_DIR)/BuiltinActivationModel.class \
		$(DEST_DIR)/UserActivationModel.class \
		$(DEST_DIR)/RoleActivationModel.class \
		$(DEST_DIR)/AccountInactivation.class \
		$(DEST_DIR)/InactivatingRoleDialog.class



package = com/netscape/admin/dirserv/account

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class 

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):
	mkdir -p $(DEST_DIR)

=== src/com/netscape/admin/dirserv/browser/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/browser

#
# programs list
#
source = \
		$(DEST_DIR)/BrowserController.class \
		$(DEST_DIR)/BrowserEvent.class \
		$(DEST_DIR)/BrowserEventListener.class \
		$(DEST_DIR)/BrowserCellRenderer.class \
		$(DEST_DIR)/IBrowserNodeInfo.class \
		$(DEST_DIR)/BasicNode.class \
		$(DEST_DIR)/SuffixNode.class \
		$(DEST_DIR)/RootNode.class \
		$(DEST_DIR)/NodeTaskQueue.class \
		$(DEST_DIR)/AbstractNodeTask.class \
		$(DEST_DIR)/RefreshTask.class \
		$(DEST_DIR)/LDAPConnectionPool.class \
		$(DEST_DIR)/ChildrenListModel.class \
		$(DEST_DIR)/VListModel.class \
		$(DEST_DIR)/ChildrenController.class \
		$(DEST_DIR)/ChildrenTask.class \
		$(DEST_DIR)/ChildrenCellRenderer.class \
		$(DEST_DIR)/NumSubordinateHacker.class \
		$(DEST_DIR)/IconPool.class 




package = com/netscape/admin/dirserv/browser

all: $(DEST_DIR) $(source)

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

run: $(DEST_DIR) $(source) $(DEST_DIR)/TestBrowser.class
#	/share/builds/components/jdk/1.2.2_05a/SunOS/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser
	env JAVA_COMPILER=NONE /share/builds/components/jdk/1.2.2_05a/SunOS/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser
#	env JAVA_COMPILER=NONE java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser
#	env JAVA_COMPILER=NONE /usr/lang/JAVA/jdk1.2.2/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser

run3: $(DEST_DIR) $(source) $(DEST_DIR)/TestBrowser.class
	env JAVA_COMPILER=NONE /usr/lang/JAVA/jdk1.3.1/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser

OPTIT.dir = /home/jvergara/console/OptimizeIt
OPTIT.cp = $(OPTIT.dir)/lib/optit.jar$(PATH_SEP)$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)
OPTIT.opt = -native -Xnoclassgc -Xrunoii -Djava.compiler=NONE -classpath "$(OPTIT.cp)"
OPTIT.cmd = env LD_LIBRARY_PATH=$(OPTIT.dir)/lib /share/builds/components/jdk/1.2.2/SunOS/bin/java $(OPTIT.opt) intuitive.audit.Audit  -port 5001  -dllpath $(OPTIT.dir)/lib

runopt: $(DEST_DIR) $(source) $(DEST_DIR)/TestBrowser.class
#	$(OPTIT.cmd)  intuitive.audit.Audit  -port 5000  com.netscape.admin.dirserv.browser.TestBrowser
	$(OPTIT.cmd)  com.netscape.admin.dirserv.browser.TestBrowser

optimizeit:
	/home/jvergara/console/OptimizeIt/OptimizeIt &

jdoc: ./doc
	$(JAVADOC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d ./doc com.netscape.admin.dirserv.browser

jdoc.clean :
	rm -rf ./doc


$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR) ./doc:	
	mkdir -p $@

=== src/com/netscape/admin/dirserv/cmdln/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

PACK_DIR=dirserv/cmdln
DEST_DIR=$(DSADMIN_DIR)/$(PACK_DIR)

#
# programs list
#
source = \
		$(DEST_DIR)/DSCommandLine.class \
		$(DEST_DIR)/DSStop.class \
		$(DEST_DIR)/DSStart.class \
		$(DEST_DIR)/DSRestart.class \
		$(DEST_DIR)/DSRestore.class \
		$(DEST_DIR)/DSBackup.class \
		$(DEST_DIR)/DSImport.class \
		$(DEST_DIR)/DSExport.class 

package = com/netscape/admin/$(PACK_DIR)
classdir = com.netscape.admin.dirserv.cmdln

all: $(DEST_DIR) $(source)

run: all
	java KFrame

runstop:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSStop -h gargoyle -p 1972 -i gargoyle -u admin -w admin

runstart:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSStart -h gargoyle -p 1972 -i gargoyle -u admin -w admin

runrestart:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSRestart -h gargoyle -p 1972 -i gargoyle -u admin -w admin

runback:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSBackup -h gargoyle -p 1972 -i gargoyle -u admin -w admin -d backtest

runrest:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSRestore -h gargoyle -p 1972 -i gargoyle -u admin -w admin -d /export2/PACKMEDEL/slapd-gargoyle/bak/backtest

runimp:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSImport -h gargoyle -p 1972 -i gargoyle -u admin -w admin -f test_ldif

runexp:
	$(JAVA) -classpath "$(RUNCLASSPATH)" $(classdir).DSExport -h gargoyle -p 1972 -i gargoyle -u admin -w admin -f test_ldif

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== src/com/netscape/admin/dirserv/node/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: node makefile
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/node

#
# programs list
#
source = \
		$(DEST_DIR)/DSResourceObject.class \
		$(DEST_DIR)/MonitorResourceObject.class \
		$(DEST_DIR)/MonitorDbResourceObject.class \
		$(DEST_DIR)/LogConfigResourceObject.class \
		$(DEST_DIR)/LogResourceObject.class \
		$(DEST_DIR)/SchemaResourceObject.class \
		$(DEST_DIR)/BackupResourceObject.class \
		$(DEST_DIR)/StatusResourceObject.class \
		$(DEST_DIR)/ReplicationStatusResourceObject.class \
		$(DEST_DIR)/DatabaseRootResourceObject.class \
		$(DEST_DIR)/DatabasePluginObject.class \
		$(DEST_DIR)/PluginResourceObject.class \
		$(DEST_DIR)/RootResourceObject.class \
		$(DEST_DIR)/AccessLogResourceObject.class \
		$(DEST_DIR)/AuditLogResourceObject.class \
		$(DEST_DIR)/ErrorLogResourceObject.class \
		$(DEST_DIR)/MappingTreeRootResourceObject.class \
		$(DEST_DIR)/MappingNodeObject.class \
		$(DEST_DIR)/ChainingPluginObject.class \
		$(DEST_DIR)/DataRootResourceObject.class \
		$(DEST_DIR)/SuffixResourceObject.class \
		$(DEST_DIR)/ChainingDatabaseObject.class \
		$(DEST_DIR)/LDBMDatabaseObject.class

package = com/netscape/admin/dirserv/node

all: $(DEST_DIR) $(source)

clean:
	rm -f  $(DEST_DIR)/*.class $(DEST_DIR)/*.properties

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):
	mkdir -p $(DEST_DIR)

=== src/com/netscape/admin/dirserv/panel/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: framework test
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/panel
ADMJAVAROOT=$(BUILD_ROOT)/built/java

DIRS= ReplicationDir

#
# Don't change the order here, or OSF javac may not be able to
# compile (because of the dependencies between the classes)
#
source = \
		$(DEST_DIR)/IDSEntry.class \
		$(DEST_DIR)/DSEntry.class \
		$(DEST_DIR)/DSEntryBitList.class \
		$(DEST_DIR)/DSEntryBoolean.class \
		$(DEST_DIR)/DSEntryBooleanFake.class \
		$(DEST_DIR)/DSEntryCombo.class \
		$(DEST_DIR)/DSEntryDN.class \
		$(DEST_DIR)/DSEntryFile.class \
		$(DEST_DIR)/DSEntryInteger.class \
		$(DEST_DIR)/DSEntryLong.class \
		$(DEST_DIR)/DSEntryList.class \
		$(DEST_DIR)/DSEntrySet.class \
		$(DEST_DIR)/DSEntryText.class \
		$(DEST_DIR)/DSEntryTextStrict.class \
		$(DEST_DIR)/DSEntryTextArea.class \
		$(DEST_DIR)/DSEntryConfirmPassword.class \
		$(DEST_DIR)/DSEntryPassword.class \
		$(DEST_DIR)/DSFileField.class \
		$(DEST_DIR)/ArrowIcon.class \
		$(DEST_DIR)/SingleByteDocument.class \
		$(DEST_DIR)/CheckBoxTableCellRenderer.class \
		$(DEST_DIR)/CenterAlignedHeaderRenderer.class \
		$(DEST_DIR)/CheckboxTableKeyListener.class \
		$(DEST_DIR)/UIFactory.class \
		$(DEST_DIR)/BlankPanel.class \
		$(DEST_DIR)/ContainerPanel.class \
		$(DEST_DIR)/DSTabbedPanel.class \
		$(DEST_DIR)/GroupPanel.class \
		$(DEST_DIR)/BackendPanel.class \
	        $(DEST_DIR)/DSLogViewer.class \
		$(DEST_DIR)/SimpleDialog.class \
		$(DEST_DIR)/ConfirmationPreferencesPanel.class \
		$(DEST_DIR)/BackupPanel.class \
		$(DEST_DIR)/RestorePanel.class \
		$(DEST_DIR)/AccountLockoutPanel.class \
		$(DEST_DIR)/AttributeDialog.class \
		$(DEST_DIR)/LDBMPluginSettingPanel.class \
		$(DEST_DIR)/SelectionPanel.class \
		$(DEST_DIR)/IndexManagementPanel.class \
		$(DEST_DIR)/DefaultIndexManagementPanel.class \
		$(DEST_DIR)/NewIndexPanel.class \
		$(DEST_DIR)/PasswordPolicyTabbedDialog.class \
		$(DEST_DIR)/PasswordPolicyPanel.class \
		$(DEST_DIR)/LDBMSettingsPanel.class \
		$(DEST_DIR)/LDBMPluginPanel.class \
		$(DEST_DIR)/LDBMInstancePanel.class \
		$(DEST_DIR)/NewChainingInstancePanel.class\
		$(DEST_DIR)/EncryptionPanel.class \
		$(DEST_DIR)/RefreshablePanel.class \
		$(DEST_DIR)/LogContentPanel.class \
		$(DEST_DIR)/AccessLogContentPanel.class \
		$(DEST_DIR)/ErrorLogContentPanel.class \
		$(DEST_DIR)/AuditLogContentPanel.class \
		$(DEST_DIR)/LogPanel.class \
		$(DEST_DIR)/AccessLogConfigurePanel.class \
		$(DEST_DIR)/AuditLogConfigurePanel.class \
		$(DEST_DIR)/ErrorLogConfigurePanel.class \
		$(DEST_DIR)/LogFileConfigurePanel.class \
		$(DEST_DIR)/IndexAttrUtility.class \
		$(DEST_DIR)/MonitorBasePanel.class \
		$(DEST_DIR)/MonitorDatabasePanel.class \
		$(DEST_DIR)/MonitorPanel.class \
		$(DEST_DIR)/MonitorServerPanel.class \
		$(DEST_DIR)/ObjectClassDialog.class \
		$(DEST_DIR)/PluginPanel.class \
		$(DEST_DIR)/FilePanel.class \
		$(DEST_DIR)/DatabaseRootPanel.class \
		$(DEST_DIR)/DatabaseExportPanel.class \
		$(DEST_DIR)/DatabaseImportPanel.class \
		$(DEST_DIR)/LDAPAddPanel.class \
		$(DEST_DIR)/SchemaManagementPanel.class \
		$(DEST_DIR)/SchemaAttributesPanel.class \
		$(DEST_DIR)/SchemaMatchingRulesPanel.class \
		$(DEST_DIR)/SchemaObjectClassesPanel.class \
		$(DEST_DIR)/SchemaUtility.class \
		$(DEST_DIR)/ServerManagerPanel.class \
		$(DEST_DIR)/ServerPerformancePanel.class \
		$(DEST_DIR)/ServerSNMPSettingsPanel.class \
		$(DEST_DIR)/ServerSettingsPanel.class \
		$(DEST_DIR)/RootPanel.class \
		$(DEST_DIR)/ReplicationStatusPanel.class \
		$(DEST_DIR)/GalleryPanel.class \
		$(DEST_DIR)/ConfigEntry.class \
		$(DEST_DIR)/LabelTableCellRenderer.class \
		$(DEST_DIR)/StatusPanel.class \
		$(DEST_DIR)/ForwardingContainerPanel.class \
		$(DEST_DIR)/NewMappingNodePanel.class \
		$(DEST_DIR)/BackendPanel.class \
                $(DEST_DIR)/MappingUtils.class \
                $(DEST_DIR)/MappingNodePanel.class \
                $(DEST_DIR)/MappingNodeSettingPanel.class \
                $(DEST_DIR)/MappingNodeRefPanel.class \
                $(DEST_DIR)/MappingNodeBckPanel.class \
                $(DEST_DIR)/LDAPUrlPanel.class \
                $(DEST_DIR)/LDAPUrlDialog.class \
                $(DEST_DIR)/BckListPanel.class \
		$(DEST_DIR)/ChainingPluginPanel.class \
		$(DEST_DIR)/ChainingInstancePanel.class \
		$(DEST_DIR)/ChainingInstanceConnPanel.class \
		$(DEST_DIR)/ChainingInstanceAuthPanel.class \
		$(DEST_DIR)/ChainingSettingPanel.class \
		$(DEST_DIR)/ChainingDefaultPanel.class \
		$(DEST_DIR)/ListChooserPanel.class \
		$(DEST_DIR)/NewLDBMPanel.class \
		$(DEST_DIR)/NewChainingPanel.class \
		$(DEST_DIR)/NewSuffixPanel.class \
		$(DEST_DIR)/confirmDeleteSuffixPanel.class \
		$(DEST_DIR)/ReferralEditor.class \
		$(DEST_DIR)/NonResolvedReferralDialog.class


all: $(DEST_DIR) $(source) $(DIRS)

run: all
	$(JAVA) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)$(PATH_SEP)$(ADMJAVAROOT)" com.netscape.management.client.console.Console localhost 389 "o=Airius.com"

$(DEST_DIR)/layout.% : layout.%
	cp layout.* $(DEST_DIR)

clean:
	rm -f $(DEST_DIR)/*.class;
	cd replication; $(MAKE) $(MFLAGS) clean

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm docs/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASS_DIR)$(PATH_SEP)$(CLASSPATH)" -d $(CLASS_DIR) $<


$(DEST_DIR):
	mkdir -p $(DEST_DIR)

ReplicationDir:
	cd replication; $(MAKE) $(MFLAGS)

=== src/com/netscape/admin/dirserv/propedit/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/propedit

#
# programs list
#
source = \
		$(DEST_DIR)/IDSPropertyModel.class \
		$(DEST_DIR)/NewAttributePanel.class \
		$(DEST_DIR)/NewAttributeDialog.class \
		$(DEST_DIR)/ChooseObjectClassDialog.class \
		$(DEST_DIR)/DSEntryPanel.class \
		$(DEST_DIR)/DSPropertyModel.class \
		$(DEST_DIR)/EntryPageDescription.class \
		$(DEST_DIR)/RenameDialog.class \
		$(DEST_DIR)/propedit.properties

package = com/netscape/admin/dirserv/task

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class $(DEST_DIR)/*.properties

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

$(DEST_DIR)/propedit.properties : propedit.properties
	cp -p propedit.properties $(DEST_DIR)

=== src/com/netscape/admin/dirserv/roledit/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/roledit

#
# programs list
#
source = \
		$(DEST_DIR)/ResEditorRadioPage.class \
		$(DEST_DIR)/ResEditorRoleInfo.class \
		$(DEST_DIR)/ResEditorRoleMembers.class \
		$(DEST_DIR)/ResEditorRoleAccountPage.class \
		$(DEST_DIR)/ResEditorManagedRole.class \
		$(DEST_DIR)/ResEditorFilteredRole.class \
		$(DEST_DIR)/ResEditorNestedRole.class \
		$(DEST_DIR)/ResEditorRoleTitlePage.class \
		$(DEST_DIR)/RolePickerDialog.class \
		$(DEST_DIR)/RoleEditorDialog.class \
		$(DEST_DIR)/RoleEditorTab.class \
		$(DEST_DIR)/RoleCache.class


package = com/netscape/admin/dirserv/roledit

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== debian/changelog ===
389-ds-console (1.2.12-1) unstable; urgency=medium

  * New upstream release. (Closes: #789990)
  * watch: Update the url.
  * control: Bump standards to 3.9.6, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Jul 2015 08:40:56 +0300

=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds-console.git
version=3
http://www.port389.org/binaries/389-ds-console-(.*)\.tar\.bz2

## 389-ds-console 1.2.16

=== src/com/netscape/admin/dirserv/attredit/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/attredit

#
# programs list
#
source = \
		$(DEST_DIR)/IAttributeEditor.class \
		$(DEST_DIR)/AttributeEditor.class \
		$(DEST_DIR)/BinaryAttributeEditor.class \
		$(DEST_DIR)/ImageAttributeEditor.class \
		$(DEST_DIR)/StringAttributeEditor.class \
		$(DEST_DIR)/NewObjectClassPanel.class \
		$(DEST_DIR)/ObjectClassAttributeEditor.class \
		$(DEST_DIR)/PasswordAttributeEditor.class \
		$(DEST_DIR)/AttributeEditorFactory.class \
		$(DEST_DIR)/RequestFileDialog.class

package = com/netscape/admin/dirserv/attredit

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== src/com/netscape/admin/dirserv/logging/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

PACK_DIR=dirserv/logging
DEST_DIR=$(DSADMIN_DIR)/$(PACK_DIR)

#
# programs list
#
source = \
		$(DEST_DIR)/DSLogViewerModel.class \
		$(DEST_DIR)/LogDataClient.class \
		$(DEST_DIR)/AccessLogViewerModel.class \
		$(DEST_DIR)/AuditLogViewerModel.class \
		$(DEST_DIR)/ErrorLogViewerModel.class 

package = com/netscape/admin/$(PACK_DIR)

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== src/com/netscape/admin/dirserv/task/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: framework test
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/task

#
# programs list
#
source = \
		$(DEST_DIR)/Authenticate.class \
		$(DEST_DIR)/Backup.class \
		$(DEST_DIR)/CGITask.class \
		$(DEST_DIR)/CGIReportTask.class \
		$(DEST_DIR)/CGIThread.class \
		$(DEST_DIR)/Export.class \
		$(DEST_DIR)/Import.class \
		$(DEST_DIR)/CompleteImport.class \
		$(DEST_DIR)/CompleteExport.class \
		$(DEST_DIR)/KeyCert.class \
		$(DEST_DIR)/ListDB.class \
		$(DEST_DIR)/NewInstanceDialog.class \
		$(DEST_DIR)/MigrateCreate.class \
		$(DEST_DIR)/Stop.class \
		$(DEST_DIR)/Start.class \
		$(DEST_DIR)/Restart.class \
		$(DEST_DIR)/Restore.class \
		$(DEST_DIR)/Remove.class \
		$(DEST_DIR)/ReadOnly.class \
		$(DEST_DIR)/AddIndex.class \
		$(DEST_DIR)/CreateVLVIndex.class \
		$(DEST_DIR)/LDAPTask.class \
		$(DEST_DIR)/LDAPImport.class \
		$(DEST_DIR)/LDAPExport.class \
		$(DEST_DIR)/LDAPBackup.class \
		$(DEST_DIR)/LDAPRestore.class \
		$(DEST_DIR)/LDAPCreateIndex.class \
		$(DEST_DIR)/LDAPTaskProgressDialog.class \
		$(DEST_DIR)/LDAPBasicProgressDialog.class \
		$(DEST_DIR)/SnmpCtrl.class

package = com/netscape/admin/dirserv/task

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)

=== src/com/netscape/admin/dirserv/wizard/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: Wizard makefile
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/wizard

#
# programs list
#
source = \
		$(DEST_DIR)/IWizardPanel.class \
		$(DEST_DIR)/WizardWidget.class \
		$(DEST_DIR)/WizardInfo.class \
		$(DEST_DIR)/wizard.properties

package = com/netscape/admin/dirserv/task

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class $(DEST_DIR)/*.properties

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):
	mkdir -p $(DEST_DIR)

$(DEST_DIR)/wizard.properties : wizard.properties
	cp -p wizard.properties $(DEST_DIR)

=== debian/changelog ===
389-ds-console (1.2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Dec 2016 11:16:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ant,
  libldap-java,
  libidm-console-framework-java, 
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://directory.fedoraproject.org
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-console.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-console.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 override_dh_auto_build:
 	ant -Dbuilt.dir=$(BUILT_DIR) \
+		-Dant.build.javac.source=1.5 \
+		-Dant.build.javac.target=1.5 \
 		-Dconsole.location=/usr/share/java \
 
 override_dh_auto_install:
